Page 6 of 11 FirstFirst 1234567891011 LastLast
Results 101 to 120 of 211
  1. #101  
    Quote Originally Posted by rwhitby View Post
    It is simply impossible for a patch to still be installed after a correctly executed webOS Doctor.

    -- Rod
    Sooo weird!? I mustve messed up the doctor then!?
    Or i may have just reinstalled all the saved information from preware on accident!? And got that patch on their again!

    Thanks! Will go for round 2 w/ the doctor soon!
  2. #102  
    Ok so my Pre updated today and I now have 1.4.5 installed on a UK 02 Palm Pre

    All ran smoothly well 99% anyway, but after the update none of my patches worked so started Preware and it asked me to update 49 patches which I tried to do but got the following error because the 'Bookmark Tile Button' patch won't install or uninstall. This is the IPKG log I get when I try to fix the patch:

    -1: Unable to run command: IPKG_OFFLINE_ROOT=/media/cryptofs/apps /bin/sh /media/cryptofs/apps/usr/lib/ipkg/info/org.webosinternals.patches.browser-bookmarks-tile-button.prerm 2>&1
    1 out of 2 hunks FAILED -- saving rejects to file usr/palm/applications/com.palm.app.browser/app/controllers/page-controls.jsjsjs.$rej$


    So I had to install each patch by itself and they are all working and back to normal except for the 'Bookmark Tile Button' although it still shows on my Browser and works but keeps asking me to update it in Preware.

    Update 2:41am:
    I found another patch not working after updating to 1.4.5, it is the Add imdb+dict+thes+bing+yahoo.patch found here http://forums.precentral.net/webos-p...-search-2.html - I noticed they were not showing up when I searched for something. The patch was installed using WebOSQuickInstall so i tried to remove it using WebOSQuickInstall that didn't work, I then tried Preware that didn't work either, the IPKG log says:

    -1: Unable to run command: IPKG_OFFLINE_ROOT=/media/cryptofs/apps /bin/sh /media/cryptofs/apps/usr/lib/ipkg/info/ca.canucksoftware.patches.addimdbdictthesbingyahoo.prerm 2>&1
    Check for md5sum in /usr/lib/ipkg/info
    Unreversed patch detected! Ignore -R? [n]
    Apply anyway? [n]
    5 out of 5 hunks ignored -- saving rejects to file usr/lib/luna/system/luna-applauncher/app/controllers/global-search-assistant.jsjsjs.$rej$
    Last edited by leobloom; 07/15/2010 at 08:41 PM. Reason: New Patch Error
  3. #103  
    After Bell's OTA update last night there's been a lot of patch and/or Preware related problems posted in other threads. To help developers get to the bottom of this, I've listed below all the posts I found. Here's WebOS Internals response as of 9:07 pm EST:
    Quote Originally Posted by rwhitby View Post
    Yeah, I just got hold of the Bell doctor, and am investigating any changes now.
    -- Rod

    permalink
    Quote Originally Posted by robdos View Post
    The only thing I cant update is the SMS Tone Per Contact Patch, preware log;
    -1: Unable to run command: IPKG_OFFLINE_ROOT=/media/cryptofs/apps /bin/sh /media/cryptofs/apps/usr/lib/ipkg/info/org.webosinternals.patches.messaging-sms-tone-per-contact.prerm 2>&1
    Unreversed patch detected! Ignore -R? [n]
    Apply anyway? [n]
    3 out of 3 hunks ignored -- saving rejects to file usr/palm/applications/com.palm.app.contacts/app/controllers/edit-assistant.jsjsjs.$rej$
    Unreversed patch detected! Ignore -R? [n]
    Apply anyway? [n]
    2 out of 2 hunks ignored -- saving rejects to file usr/palm/applications/com.palm.app.contacts/app/controllers/filepicker-behaviors.jsjsjs.$rej$
    Unreversed patch detected! Ignore -R? [n]
    Apply anyway? [n]
    1 out of 1 hunk ignored -- saving rejects to file usr/palm/applications/com.palm.app.contacts/app/views/edit/lists-fake.html.rej
    permalink
    Quote Originally Posted by gsonspre View Post
    I have the same issue! I even doctored my phone and it's still there and wont update!
    It still shows up in WOSQI and I cant remove it that way either?
    I tried EPR first, Then tried WOSQI then tried to doctor it and nothing was able to remove the patch! can anyone help with this?
    I will try these steps and let you know how it works (or vice versa)
    permalink
    Quote Originally Posted by kel101 View Post
    rod i did all that and when i opened up preware with any of the feeds on i get this error
    permalink
    Quote Originally Posted by Vermithrax View Post
    I should have removed the kernel before doing the OTA update to 1.45 (On Bell, btw), but didn't, as I thought it may be AUPT compatible...
    Anyhow, after the update, I tried to update the F105 and got some errors, so I ran the stock kernel install to get it back to pristine condition.
    Now, trying to install F105 gives me this:
    -1: Unable to run command: IPKG_OFFLINE_ROOT=/media/cryptofs/apps /bin/sh /media/cryptofs/apps/usr/lib/ipkg/info/org.webosinternals.kernels.psycho-f105-kernel-pre.postinst 2>&1
    Kernel confirmed to be compatible with this webOS version
    Verifying no existing modifications to target files ...
    Verification failed on /lib/modules/2.6.24-palm-joplin-3430/kernel/crypto/ecb.ko
    Verification failed on /lib/modules/2.6.24-palm-joplin-3430/kernel/crypto/pcbc.ko
    Verification failed on /lib/modules/2.6.24-palm-joplin-3430/kernel/drivers/block/nbd.ko
    Device kernel is not in factory condition, refusing to install replacement
    permalink
    Quote Originally Posted by neville View Post
    Exact same problem as me (on Bell), but with the F102 kernel. I also installed the recovery kernel and it didn't help.
    Another person I know is experiencing the same thing and he uninstalled F102 before updating, so I'm not sure if it's related to not uninstalling before updating.
    permalink
    Quote Originally Posted by MrGreencastle View Post
    Bell Palm pre running WebOS 1.4.5. On 1.4.1, I was previously running the F105 release -74 or -76, not quite sure. Since updating to 1.4.5, I get an IPKG error concerning F105 not supporting the current WebOS version, which makes sense, seeing as ithe version number, with updated feeds, etc. is 1.4.1-76. However, I see that some people are running F105 on 1.4.5, might I ask how? I can imagine installing with a -f --force to force it to install, but it seems that that isn't an option in Preware that I'm aware of.
    permalink
    Quote Originally Posted by SportingLions View Post
    I heard AUPT was spose to be the savior for tedious reinstallation of patches, but maybe I missed something?
    I updated my Bell Pre to 1.4.5 this morning, and all my patches vanished. So I went into Preware and into my "saved packages" and it showed all the patches I had before they got wiped out, as being installed already. =S
    The only way I got my patches back was to manually remove all the patches that were falsely stated as already being installed, and then hand picking them again from Preware.
    Am I doing something wrong?
    I apologize if this is a stupid question, but I have 2 other Pres to update today and I'd like to know how to get around this or do it properly next time.
    permalink
    Quote Originally Posted by izkeepsitreal View Post
    Same for me, patches were gone, save list has them but you click on 'update' nothin' happens... if you click on the package you only have launch/remove options..
    I re-installed a few "crucial" patches and they work... so not really sure about the AUT
    permalink
    Quote Originally Posted by neville View Post
    I know that some people will wondering if installing the update with the F102 (or any other kernel?) installed will work.
    The good news is yes, I just did it. I like living life on the dangerous side.
    The bad news is that by doing so:
    1) All my patches were removed/uninstalled (likely from AUPT)
    2) My apps that ran on the upstart service broke (doom, quake, etc)
    3) The kernel was revered back to 500MHz, but it wasn't in a "factory" state, so I had to install the 1.4.5 recovery kernel after updating.
    Last edited by canderoc; 07/15/2010 at 09:44 PM. Reason: added neville's post
  4. #104  
    Quote Originally Posted by canderoc View Post
    After Bell's OTA update last night there's been a lot of patch and/or Preware related problems posted in other threads. To help developers get to the bottom of this, I've listed below all the posts I found. Here's WebOS Internals response as of 9:07 pm EST:


    permalink


    permalink


    permalink


    permalink


    permalink


    permalink


    permalink


    permalink
    The only real issue I've seen in all that is the kernel installation issue. All the others seem to be normal patch stuff as described at the start of this thread, or patches that haven't been updated by their authors for 1.4.5 yet, or other user error.

    The kernel installation issue is real. For some reason, Palm have released the same kernel binary for both .eu and .ca 1.4.5, but a couple of the kernel modules have different md5sums. The work-around is to install the Palm recovery kernel first (make sure you install the correct one unlike one of the posters above) and then install the new kernel.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  5. #105  
    Quote Originally Posted by rwhitby View Post
    The only real issue I've seen in all that is the kernel installation issue. All the others seem to be normal patch stuff as described at the start of this thread, or patches that haven't been updated by their authors for 1.4.5 yet, or other user error.
    I guess the "all my patches disappeared" complaints are the most worrisome to me as I await the VZN USA update. So "normal patch stuff" or "patches that haven't been updated" or "user error" can cause all patches to disappear?
  6. #106  
    Quote Originally Posted by canderoc View Post
    I guess the "all my patches disappeared" complaints are the most worrisome to me as I await the VZN USA update. So "normal patch stuff" or "patches that haven't been updated" or "user error" can cause all patches to disappear?
    I suspect that one is simply the user not updating their feeds after the OTA. No ipkg log was posted, so I can't determine anything more. Any time no ipkg log is posted, user error is the first assumption I make (it's correct 98% of the time).

    BTW, thanks for the consolidated post. More people should do that.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  7. #107  
    Named pages patch needs to be added to the list. It might be dependant on having other patches installed. When I updated it was the only patch that broke AUPT.

    If it is too late for anyone there is a solution on page 23 of the named pages thread in the patches forum.
  8. #108  
    Quote Originally Posted by gsonspre View Post
    I have the same issue! I even doctored my phone and it's still there and wont update!
    It still shows up in WOSQI and I cant remove it that way either?
    I tried EPR first, Then tried WOSQI then tried to doctor it and nothing was able to remove the patch! can anyone help with this?
    I will try these steps and let you know how it works (or vice versa)
    You know, I added the patch to give you more launcher pages with my FIRST Pre, and forgot to uninstall. 5 replacements later and it's still there, on its own, somehow magically wedged into Palm's backup. That's service, is all I can say, though the page titles are missing, the pages aren't, and it works without a hitch,
  9. #109  
    Quote Originally Posted by copasetic View Post
    You know, I added the patch to give you more launcher pages with my FIRST Pre, and forgot to uninstall. 5 replacements later and it's still there, on its own, somehow magically wedged into Palm's backup. That's service, is all I can say, though the page titles are missing, the pages aren't, and it works without a hitch,
    It's not actually the patch which is still there, it is the result of the patch (the extra pages you added by using the patch) which has been recorded in your Palm Profile and which gets restored every time.

    If you want to remove the pages, just install the patch again, remove the pages, then uninstall the patch.

    -- Rod
  10. #110  
    I installed 1.4.5 on top of the Gesture Click Context Menu when it came out, and only hear or this now. Luckily, everything seems to work quite well regardless, so I won't do anything about it... but when 2.0 (or 1.5) rolls around, I think I'll wait for the corresponding Doctor to arrive before updating with that, and not OTA.
  11. #111  
    Quote Originally Posted by GodShapedHole View Post
    I installed 1.4.5 on top of the Gesture Click Context Menu when it came out, and only hear or this now.
    Sorry to hear about your mis-fortune. I'm glad to hear you're working it out. I have to say, this was mentioned on the front page of Precentral.net, although not as a headline, but within the context of 1.4.5 coming out. Personally, I think it should have been more prominent. It was also mentioned in a Palmcast, which was how it first came to my attention.

    I do have a question, though. Are you in the US?
  12. jants13's Avatar
    Posts
    40 Posts
    Global Posts
    44 Global Posts
    #112  
    So with it looking like Sprint is getting the 1.4.5 update here soon, is this still the case? Do we still need to remove these patches? Or has the latest Preware update eliminated that need?
  13. #113  
    Quote Originally Posted by jants13 View Post
    So with it looking like Sprint is getting the 1.4.5 update here soon, is this still the case? Do we still need to remove these patches? Or has the latest Preware update eliminated that need?
    +1, the new preware removes the 'save patches' thing, so I have no idea if i can run emergency patch without losing everything
  14. #114  
    Where are the instructions for running the Emergency File Verifier or EFV???

    I installed EFV in Preware but it's nowhere to be found on my app launcher. I missed something, right?
    Last edited by MikeyrInFL; 08/10/2010 at 06:33 PM. Reason: clarification
    "You can fool some of the people all of the time and you can fool all of the people some of the time -- actually, those are very good odds!"
  15. #115  
    Quote Originally Posted by thelelander View Post
    +1, the new preware removes the 'save patches' thing, so I have no idea if i can run emergency patch without losing everything
    The new Preware hasn't lost the save packages list. It is just in a different place now, look at the changelog for v1.2.0, that's why it is there.
    And yes you still need to remove those patches.

    Pip
  16. #116  
    what about:
    -scrim contacts
    -scrim email

    ?? Thx
  17. #117  
    did "gesture click to open in new card" get added to this list? its in preware. i had it, but its not updating or letting me remove it. im going to have to try epr or doctor, cause its the first in the list to update all in preware, so i cant use update all till that patch is taken care of
  18. #118  
    Quote Originally Posted by patricksmangan View Post
    did "gesture click to open in new card" get added to this list? its in preware. i had it, but its not updating or letting me remove it. im going to have to try epr or doctor, cause its the first in the list to update all in preware, so i cant use update all till that patch is taken care of
    It's the first one:
    GestureClick Context Menu

    epr did it for me. No need for a doc.
  19. #119  
    well, its comparable to the context menu one, which is y it didnt work, but its just open in new card. epr did it for me too, thanks
  20. #120  
    Now that Sprint has rolled out the update to 1.4.5, has anyone tried Multi Mod yet? Is it working(I haven't updated yet)? Thanks.

Posting Permissions